Subject: Re: [rrg] [Fwd: I-D Action:draft-carpenter-renum-needs-work-00.txt]

From: [email-masked]
Date: Sat, 25 Oct 2008 05:49:38 EDT

Brian,
Sure. While I can only imagine how troublesome and eventually how  impossible 
such a task might be, I would like to know how the new  addressing scheme 
should look like? What are the objectives ?
That a single router needs advertising less prefixes? That the  prefixes  of 
even neighboring routers can be aggregated (or better  aggregated than now)? 
Who tells whom what to do ?
 
Given an addressing scheme where just the combination {id,  location} must be 
unique, the objectives for renumbering would be quite  different:
At some particular locations the identifiers just have to be unique, i.e.  
not necessarily aggregatable.
Now consider roaming, which most likely takes place within the near  
surrounding. The goal (for renumbering) can only be to reduce the likelihood  that in 
case of roaming the same identifiers show up at the same  location more than 
once. BTW, it's a very interesting  task to build a  respective algorithm. Of 
course, a small likelihood is not a guarantee that it  doesn't happen, hence 
can at most speed up processing in most cases.
 
Heiner

In einer eMail vom 24.10.2008 22:59:16 Westeuropäische Normalzeit schreibt  
[email-masked]:

Heiner,

That is a known viewpoint. But the point of my message  was to
ask for specific comments on and contributions to the  draft.

Brian

On 2008-10-24 23:53,  [email-masked] wrote:
>  
> Renumbering is  impractical.This I can imagine and most of the  
> RRG-mailinglist  members do know it best (i.e much better than me).
> Furthermore: It  doesn't help wrt the IPv4 address depletion  issue. 
> Whereas ID  plus LOCATION would. Admitted, this can be attributed to LISP,  
>  too. But LISP doesn't exploit its own potential when it introduces a new  
name  
> space but re-uses hereby the old one again (which is  chaotic from the 
routing  
> point of view).
>  
>  Heiner 
>  
> In einer eMail vom 23.10.2008 22:43:52  Westeuropäische Normalzeit schreibt 
 
>  [email-masked]:
> 
> Hi
> Ran and I drafted  this in reaction to the earlier discussion  here
> about the  impracticality of renumbering. We'd like comments and,  above
>  all, contributions. For now, this list is suggested for any   discussion,
> but I will also mention the draft on the intarea   list.
> 
> Brian
> 
> -------- Original Message   --------
> Subject: I-D   Action:draft-carpenter-renum-needs-work-00.txt
> Date: Thu, 23 Oct  2008  13:30:02 -0700 (PDT)
> From: [email-masked]
>  Reply-To:  [email-masked]
> To:  [email-masked]
> 
> A New  Internet-Draft is available  from the on-line Internet-Drafts  
> directories.
> 
>  Title         : Renumbering still needs work
>  Author(s)   : B. Carpenter, R. Atkinson
> Filename   :  draft-carpenter-renum-needs-work-00.txt
>  Pages     : 18
> Date       :  2008-10-23
> 
> This document reviews the existing   mechanisms for site renumbering
> for both IPv4 and IPv6, and  identifies  operational issues with those
> mechanisms.  It  also summarises current  technical proposals for
> additional  mechanisms.  Finally there is a gap  analysis.
> 
> A  URL for this Internet-Draft  is:
>  http://www.ietf.org/internet-drafts/draft-carpenter-renum-needs-work-00.txt
>  
> 
> _______________________________________________
>  rrg  mailing  list
> [email-masked]
>  https://www.irtf.org/mailman/listinfo/rrg
> 
> 
> 
>  
> 

_______________________________________________
rrg mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/rrg